/**************************************************************************
/* This class shows how to blur images
/* (see convert(1) from the ImageMagick-toolkit)
/*
/* Copyright (c) 2003 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import magick.*;
import java.awt.*;

/**
    This class shows how to blur images
    (see convert(1) from the ImageMagick-toolkit)

   @version $Revision: 1.1 $
   @author  $Author: Bablokb $
*/

public class Blur {

  //////////////////////////////////////////////////////////////////////////////

  public static void usage() {
    System.out.println("usage: java Blur filename [...]");
    System.exit(1);
  }

  //////////////////////////////////////////////////////////////////////////////

  public static void main(String[] args) {
    if (args.length < 1)
      usage();

    try {
      for (int i=0; i<args.length; ++i) {
	String filename = args[i];
	ImageInfo info = new ImageInfo(filename);
	MagickImage image = new MagickImage(info);

	int ext = filename.lastIndexOf(".",filename.length());
	if (ext == -1)
	  ext = filename.length();
	filename = filename.substring(0,ext)+"_blur"+filename.substring(ext);

	MagickImage bluredImage = image.blurImage(0.0,4.0);
	bluredImage.setFileName(filename);
	bluredImage.writeImage(info);
      }
    } catch (MagickException ex) {
      System.err.println("MagickException: " + ex);
    }
  }

}
